﻿
using HeuristicLab.Common;
using HeuristicLab.Core;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
namespace HeuristicLab.Analysis.FitnessLandscape.DataTables {

  [Item("QualityTrailSummaryTable", "DataTable that contains a compact description of the quality trail.")]
  [StorableClass]
  public class QualityTrailSummaryTable : DataTable {

    #region Construction & Cloning

    [StorableConstructor]
    protected QualityTrailSummaryTable(bool deserializing) : base(deserializing) { }
    protected QualityTrailSummaryTable(QualityTrailSummaryTable original, Cloner cloner) : base(original, cloner) { }
    public QualityTrailSummaryTable() : base() { }
    public QualityTrailSummaryTable(string name) : base(name) { }
    public QualityTrailSummaryTable(string name, string description) : base(name, description) { }
    public override IDeepCloneable Clone(Cloner cloner) {
      return new QualityTrailSummaryTable(this, cloner);
    }
    #endregion

  }

}
